Package org.eclipse.rdf4j.http.server.repository

## Class RepositoryInterceptor

- java.lang.Object
- - org.springframework.web.servlet.handler.HandlerInterceptorAdapter
  - - org.eclipse.rdf4j.http.server.ServerInterceptor
    - - org.eclipse.rdf4j.http.server.repository.RepositoryInterceptor

- All Implemented Interfaces:
    `org.springframework.web.servlet.AsyncHandlerInterceptor`, `org.springframework.web.servlet.HandlerInterceptor`

      public class RepositoryInterceptor
      extends ServerInterceptor

  Interceptor for repository requests. Should not be a singleton bean! Configure as inner bean in openrdf-servlet.xml
  Author:
    Herko ter Horst, Arjohn Kampman

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepositoryInterceptor()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Repository` | `getRepository​(javax.servlet.http.HttpServletRequest request)` |
    `static RepositoryConnection` | `getRepositoryConnection​(javax.servlet.http.HttpServletRequest request)` | Obtain a new `RepositoryConnection` with suitable parser/writer configuration for handling the incoming HTTP request.
    `static String` | `getRepositoryID​(javax.servlet.http.HttpServletRequest request)` |
    `protected String` | `getThreadName()` | Determine the thread name to use.
    `boolean` | `preHandle​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse respons, Object handler)` |
    `void` | `setRepositoryManager​(RepositoryManager repMan)` |
    `protected void` | `setRequestAttributes​(javax.servlet.http.HttpServletRequest request)` | Set attributes for this request.

    - ### Methods inherited from class org.eclipse.rdf4j.http.server.ServerInterceptor

      `afterCompletion, cleanUpResources`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.web.servlet.AsyncHandlerInterceptor

      `afterConcurrentHandlingStarted`

    - ### Methods inherited from interface org.springframework.web.servlet.HandlerInterceptor

      `postHandle`

- - ### Constructor Detail

    - #### RepositoryInterceptor

          public RepositoryInterceptor()

  - ### Method Detail

    - #### setRepositoryManager

          public void setRepositoryManager​(RepositoryManager repMan)

    - #### preHandle

          public boolean preHandle​(javax.servlet.http.HttpServletRequest request,
                                   javax.servlet.http.HttpServletResponse respons,
                                   Object handler)
                            throws Exception

      Specified by:
        `preHandle` in interface `org.springframework.web.servlet.HandlerInterceptor`
      Overrides:
        `preHandle` in class `ServerInterceptor`
      Throws:
        `Exception`

    - #### getThreadName

          protected String getThreadName()

      Description copied from class: `ServerInterceptor`
      Determine the thread name to use. Called before the request is forwarded to a handler.
      Specified by:
        `getThreadName` in class `ServerInterceptor`
      Returns:
        a name that makes sense based on the request

    - #### setRequestAttributes

          protected void setRequestAttributes​(javax.servlet.http.HttpServletRequest request)
                                       throws ClientHTTPException,
                                              ServerHTTPException

      Description copied from class: `ServerInterceptor`
      Set attributes for this request. Called before the request is forwarded to a handler. By default, this method does nothing.
      Overrides:
        `setRequestAttributes` in class `ServerInterceptor`
      Parameters:
        `request` - the request
      Throws:
        `ClientHTTPException` - if it was impossible to set one or more attributes due to a bad request on the part of the client
        `ServerHTTPException` - if it was impossible to set one or more attributes due to an internal error

    - #### getRepositoryID

          public static String getRepositoryID​(javax.servlet.http.HttpServletRequest request)

    - #### getRepository

          public static Repository getRepository​(javax.servlet.http.HttpServletRequest request)

    - #### getRepositoryConnection

          public static RepositoryConnection getRepositoryConnection​(javax.servlet.http.HttpServletRequest request)

      Obtain a new `RepositoryConnection` with suitable parser/writer configuration for handling the incoming HTTP request. The caller of this method is responsible for closing the connection.
      Parameters:
        `request` - the `HttpServletRequest` for which a `RepositoryConnection` is to be returned
      Returns:
        a configured `RepositoryConnection`